repo/gentoo:master commit in: dev-python/tornado/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786169236.d7a9709ace10bf36f332946181a0809f37aec10f.mgorny@gentoo>
commit:     d7a9709ace10bf36f332946181a0809f37aec10f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 05:30:17 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 06:07:16 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7a9709a

dev-python/tornado: Bump to 6.5.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tornado/Manifest             |  2 ++
 dev-python/tornado/tornado-6.5.8.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/tornado/Manifest b/dev-python/tornado/Manifest
index d020f3a2306b..fa8e69e65e59 100644
--- a/dev-python/tornado/Manifest
+++ b/dev-python/tornado/Manifest
@@ -2,3 +2,5 @@ DIST tornado-6.5.6.tar.gz 518139 BLAKE2B 2707573e1e2d87ff59b8b353db982afeb653b24
 DIST tornado-6.5.6.tar.gz.provenance 9706 BLAKE2B d15888fcdcbecd80a6b3c198e6eb5399e7965c3387f57306eba36c47a07946936bc28a136e696b04406cfd1ee059e6bb6c1802e1b283bbc46c4ef62dcfc4df51 SHA512 3d5f81149d4282d872770092fa0e0a6eaa83238b47cebee3fc1ed8afd5ef5514e44a348ca0ee5c82b686d189410e3688553661d27c6856bb363e02400f104cf9
 DIST tornado-6.5.7.tar.gz 519252 BLAKE2B 7d2a2f265de1137c632bf222dc8e8e65efe9328c7c82af5741e069be1dae34de33547a93844518c213ca131d064d87db1d438145e47cfc0da4ddb4485bad9a33 SHA512 bd9790da5dc84580710cc74cda0f8f691ff0af845e9e4b47c431333aae5107d808f8a3a82155d4cddefb86f4c516f3a2bef15edcb19d743b936d20d101db7cf1
 DIST tornado-6.5.7.tar.gz.provenance 9369 BLAKE2B 4893e0653f2c39d9aa89a2a7c888860aad829f255394308f11de1a2ece80a00cf479270427cf833720e524d91b42926645f63f2867a4a441b6273b7e4722a076 SHA512 3e97725d8964764cab43f4750d88843394a0577d54e6529e13de5ab55e5898f4853e59bbe973c813e7c05c67e4c9f472e3569f6e934559b9a9bcb71cd38dbcc6
+DIST tornado-6.5.8.tar.gz 520493 BLAKE2B e48ca20fe0551b8536162071e0b9267ccd167df617c25f930481668e733c656904109014e65462e561d47acc557cfe32f86a422e8f7e840b4262acbafb2b720a SHA512 88c096ca30357644c07b6013cd514b5e64135b26a77d9ff17640951632d6f68c9a68d7fa80224743f7900fbf5ddde838088bd9838395651d87d876c8d1d1a2fe
+DIST tornado-6.5.8.tar.gz.provenance 9416 BLAKE2B 1f4d1d9289f8aa8fdde1dda19454da15e9056111f0225e0701eb385ef42b0fae26a6bb9dc5df3ffb9796e4d805db5aa7406aa466ec9389802df1033cdb5231a6 SHA512 b1c364aed55ecb3cbab7343de9ebfaa181579ca81a57e498953c7d0e657bd8b08ee9fb6e5f72d8205f379fbd25237054bfecdb9982fc973e4bb55a00a0411444

diff --git a/dev-python/tornado/tornado-6.5.8.ebuild b/dev-python/tornado/tornado-6.5.8.ebuild
new file mode 100644
index 000000000000..0f6e18e9d840
--- /dev/null
+++ b/dev-python/tornado/tornado-6.5.8.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/tornadoweb/tornado
+PYTHON_COMPAT=( python3_{12..15} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python web framework and asynchronous networking library"
+HOMEPAGE="
+	https://www.tornadoweb.org/
+	https://github.com/tornadoweb/tornado/
+	https://pypi.org/project/tornado/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		$(python_gen_cond_dep '
+			>=dev-python/pycurl-7.19.3.1[${PYTHON_USEDEP}]
+		' 'python*')
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-6.3.2-ignore-deprecationwarning.patch"
+)
+
+src_prepare() {
+	# network-sandbox? ipv6?
+	sed -i -e 's:test_localhost:_&:' \
+		tornado/test/netutil_test.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local -x ASYNC_TEST_TIMEOUT=60
+	# Avoid time-sensitive tests
+	# https://github.com/tornadoweb/tornado/blob/10974e6ebee80a26a2a65bb9bd715cf858fafde5/tornado/test/util.py#L19
+	local -x TRAVIS=1
+	local -x NO_NETWORK=1
+
+	cd "${T}" || die
+	"${EPYTHON}" -m tornado.test.runtests --verbose ||
+		die "tests failed under ${EPYTHON}"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.